DKBSignDocs

API reference

GETRequires Bearer token

Get batches

/api/v4/batches

Retrieve /api/v4/batches. Authenticated routes need Authorization: Bearer {token} from POST /api/v1/login.

Path parameters

This endpoint has no path parameters.

Query parameters

This endpoint has no query parameters.

Request body

This endpoint does not accept a request body.

Responses

StatusMeaning
200Batches
401Missing or invalid Bearer token.

Request

curl
curl -X GET 'https://api.dkbsigns.com/api/v4/batches' \
  -H 'Authorization: Bearer $DKBSIGN_TOKEN'

Response 200

json
{
  "batches": [
    {
      "batch_id": "550e8400-e29b-41d4-a716-446655440000",
      "total_signed": 10
    }
  ]
}